View Issue Details

IDProjectCategoryView StatusLast Update
0000093Adventure PHP FrameworkDokumentation // Documentationpublic2015-10-12 12:20
ReporterjwlightingAssigned ToChristianAchatz 
PriorityurgentSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version2.1Fixed in Version2.1 
Summary0000093: Coding Standards für das APF zwischen allen Entwicklern abgleichen
DescriptionDie meisten APF-Entwickler nutzen PhpStorm.

Es wäre dringend anzuraten, dass wir uns auf einheitliche Einstellungen für den Code Style einigen. Diese sollte dann jeder in seiner IDE so einstellen:

Dies umfasst z.B.:

* Anzahl Leerzeilen nach Methoden, Klassen, am Methodenende
* Leerzeichen nach if/else/for/... und vor (nach) den Klammern
* Absetzen von else nach der schliessenden Klammer eines vorhergehenden else-Blocks
* Ausrichtung von Array-Definitionen ("=>" auf gleicher Höhe für alle Elemente)
* ...

Mögliche Lösung wäre, Screenshots von den zu verwenden Einstellungen in PhpStrom zur Verfügung zu stellen.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Activities

dave

2013-11-23 13:11

developer   ~0000107

Ich könnte dann eine Konfiguration für die Netbeans IDE erstellen. Aber vorher muss eben erstmal die Einheitlichkeit geklärt werden. Gabs da nicht auch mal was im Forum?

* Forum Diskussion: http://forum.adventure-php-framework.org/viewtopic.php?f=7&t=923
* Wiki: http://wiki.adventure-php-framework.org/de/APF_Coding_Standard

jwlighting

2013-11-23 20:05

administrator   ~0000108

Danke, dave!!

Da steht momentan noch nicht viel drin. Ich möchte vorschlagen, Christian unterbreitet uns einen Vorschlag und wir stimmen drüber ab?

Wenn es schon Standards in C oder Java gibt, ist es sicherlich auch sinnvoll, sich daran zu orientieren ;)

jwlighting

2014-01-26 12:14

administrator   ~0000188

Diskussion dazu im Forum. Bitte alle teilnehmen!

http://forum.adventure-php-framework.org/viewtopic.php?f=7&t=923

ChristianAchatz

2014-03-01 23:17

administrator   ~0000238

Coding guideline finally aligned as documented under http://wiki.adventure-php-framework.org/APF_Coding_Standard.

Issue History

Date Modified Username Field Change
2013-11-23 12:42 jwlighting New Issue
2013-11-23 12:42 jwlighting Status new => assigned
2013-11-23 12:42 jwlighting Assigned To => ChristianAchatz
2013-11-23 13:11 dave Note Added: 0000107
2013-11-23 20:05 jwlighting Note Added: 0000108
2013-12-07 20:00 ChristianAchatz Category Code-Verbesserung // Code improvement => Dokumentation // Documentation
2014-01-25 18:09 ChristianAchatz Product Version 2.0 => 2.1
2014-01-25 18:09 ChristianAchatz Target Version 2.0 => 2.1
2014-01-26 12:14 jwlighting Note Added: 0000188
2014-03-01 23:17 ChristianAchatz Note Added: 0000238
2014-03-01 23:17 ChristianAchatz Status assigned => resolved
2014-03-01 23:17 ChristianAchatz Fixed in Version => 2.1
2014-03-01 23:17 ChristianAchatz Resolution open => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed